diff --git a/doc/src/sgml/release-12.sgml b/doc/src/sgml/release-12.sgml
new file mode 100644
index 4a6c989..9a9266e
*** a/doc/src/sgml/release-12.sgml
--- b/doc/src/sgml/release-12.sgml
*************** Author: Tom Lane <tgl@sss.pgh.pa.us>
*** 606,627 ****
  
        <listitem>
  <!--
! Author: Alexander Korotkov <akorotkov@postgresql.org>
! 2018-07-28 [d2086b08b] Reduce path length for locking leaf B-tree pages during 
  Author: Peter Geoghegan <pg@bowt.ie>
  2019-03-25 [f21668f32] Add "split after new tuple" nbtree optimization.
  -->
  
         <para>
!         Improve speed of btree index insertions (Peter Geoghegan,
!         Alexander Korotkov)
         </para>
  
         <para>
!         The new code improves the space-efficiency of page splits,
!         reduces locking overhead, and gives better performance for
!         <command>UPDATE</command>s and <command>DELETE</command>s on
!         indexes with many duplicates.
         </para>
        </listitem>
  
--- 606,672 ----
  
        <listitem>
  <!--
! Author: Peter Geoghegan <pg@bowt.ie>
! 2019-03-20 [dd299df81] Make heap TID a tiebreaker nbtree index column.
! Author: Peter Geoghegan <pg@bowt.ie>
! 2019-03-20 [fab250243] Consider secondary factors during nbtree splits.
  Author: Peter Geoghegan <pg@bowt.ie>
  2019-03-25 [f21668f32] Add "split after new tuple" nbtree optimization.
  -->
  
         <para>
!         Allow multi-column btree indexes to be smaller (Peter Geoghegan,
!         Heikki Linnakangas)
         </para>
  
         <para>
!         This is accomplished by splitting btree pages at upper key change
!         boundaries, rather than splitting pages in the middle.  Using this
!         method, ever-increasing keys are more likely to use existing index
!         pages, rather than cause page splits.  This also allows internal
!         pages and min/max leaf page indicators to store only index keys
!         until the changed key, rather than all indexed keys.
!        </para>
! 
!        <para>
!         Indexes <application>pg_upgraded</application> from previous
!         releases will not have these benefits.
!        </para>
!       </listitem>
! 
!       <listitem>
! <!--
! see commits above
! -->
! 
!        <para>
!         Improve performance and space utilization of btree indexes with
!         many duplicates (Peter Geoghegan, Heikki Linnakangas)
!        </para>
! 
!        <para>
!         Previously, duplicate index entries were stored unordered within
!         their duplicate groups.  This caused overhead during index inserts,
!         wasted space due to excessive page splits, and inefficiency
!         when <command>VACUUM</command> needed to find a row for removal.
!         Duplicate index entries are now sorted in heap-storage order.
!        </para>
! 
!        <para>
!         Indexes <application>pg_upgraded</application> from previous
!         releases will not have these benefits.
!        </para>
!       </listitem>
! 
!       <listitem>
! <!--
! Author: Alexander Korotkov <akorotkov@postgresql.org>
! 2018-07-28 [d2086b08b] Reduce path length for locking leaf B-tree pages during 
! -->
! 
!        <para>
!         Improve speed of btree index insertions by reducing locking
!         overhead (Alexander Korotkov)
         </para>
        </listitem>
  
*************** Author: Tom Lane <tgl@sss.pgh.pa.us>
*** 678,702 ****
         </para>
        </listitem>
  
-       <listitem>
- <!--
- Author: Peter Geoghegan <pg@bowt.ie>
- 2019-03-20 [dd299df81] Make heap TID a tiebreaker nbtree index column.
- Author: Peter Geoghegan <pg@bowt.ie>
- 2019-03-20 [fab250243] Consider secondary factors during nbtree splits.
- -->
- 
-        <para>
-         Have new btree indexes sort duplicate index entries in heap-storage
-         order (Peter Geoghegan, Heikki Linnakangas)
-        </para>
- 
-        <para>
-         Indexes <application>pg_upgraded</application> from previous
-         releases will not have this ordering.
-        </para>
-       </listitem>
- 
        <listitem>
  <!--
  Author: Heikki Linnakangas <heikki.linnakangas@iki.fi>
--- 723,728 ----
